import { axios } from '@/utils/request'

const api = {
  roomContent: '/meeting/roomContent'
}

export function getRoomContentList (parameter) {
  return axios({
    url: api.roomContent + '/list',
    method: 'get',
    params: parameter
  })
}

export function saveRoomContent (parameter) {
  return axios({
    url: api.roomContent + (parameter.id > 0 ? '/update' : '/save'),
    method: 'post',
    data: parameter,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function delRoomContent (parameter) {
  return axios({
    url: api.roomContent + '/remove',
    method: 'post',
    params: parameter
  })
}

export const roomContentExport = api.roomContent + '/export'
